Bug 112393 - Update port: net-p2p/verlihub (New version, request maintainership); New ports in net-p2p: set of pluigins for verlihub.
Update port: net-p2p/verlihub (New version, request maintainership); New port...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 21:30 UTC by skylord
Modified: 2007-07-05 08:13 UTC (History)
0 users

See Also:


Attachments
file.shar (28.19 KB, text/plain)
2007-05-03 21:30 UTC, skylord
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description skylord 2007-05-03 21:30:03 UTC
For net-p2p/verlihub:
Update Makefile for new Verlihub version
Added patch for THubLink plugin support
Misc small fixes
Request maintainership

Also i've included a set of ports for most popular VerliHub plugins: one port for each plugin and "meta-port" for simple installation of the them at once. These ports were tested on FreeBSD 6.2 amd64 and i386.

Fix: diff -ruN /usr/ports/net-p2p/verlihub/Makefile /home/skylordssh/ports/verlihub/Makefile
--- /usr/ports/net-p2p/verlihub/Makefile	Wed Mar 14 11:04:31 2007
+++ /home/skylordssh/ports/verlihub/Makefile	Wed May  2 18:52:26 2007
@@ -6,15 +6,14 @@
 #
 
 PORTNAME=	verlihub
-PORTVERSION=	0.9.8.c
-PORTREVISION=	2
+PORTVERSION=	0.9.8.d
 PORTEPOCH=	1
 CATEGORIES=	net-p2p
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	verlihub
-DISTNAME=	verlihub-0.9.8c-RC2
+DISTNAME=	verlihub-0.9.8d-RC1
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	skylord@vt.net.ru
 COMMENT=	A Direct Connect protocol server (Hub)
 
 # XXX: Actually, bash isn't required for building,
@@ -24,7 +23,7 @@
 		pcre.0:${PORTSDIR}/devel/pcre
 RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
 
-WRKSRC=		${WRKDIR}/verlihub-0.9.8c
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 USE_RC_SUBR=	verlihub
 
@@ -34,12 +33,14 @@
 USE_LDCONFIG=	yes
 USE_GCC=	3.4+
 USE_OPENSSL=	yes
-SUB_FILES+=	pkg-message
 
 SUB_FILES=	pkg-message
 DOCS=	configuring.txt using.txt help.html verlihub.html
 MANUAL_DOCS=	verlihub.css verlihub_manual.html
 PORTDOCS=	${DOCS} ${MANUAL_DOCS}
+
+post-extract:
+	${MV} -f ${WRKDIR}/verlihub ${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 post-install:
 .if !defined(NOPORTDOCS)
diff -ruN /usr/ports/net-p2p/verlihub/distinfo /home/skylordssh/ports/verlihub/distinfo
--- /usr/ports/net-p2p/verlihub/distinfo	Mon Dec 11 00:18:10 2006
+++ /home/skylordssh/ports/verlihub/distinfo	Thu Apr 26 18:02:34 2007
@@ -1,3 +1,3 @@
-MD5 (verlihub-0.9.8c-RC2.tar.gz) = c536dd46daefe8b91c3872837d1deeb2
-SHA256 (verlihub-0.9.8c-RC2.tar.gz) = 571e637eacf1176c968e09528331d4257f4932186ae4ca9e8d4353d1cffa7e1c
-SIZE (verlihub-0.9.8c-RC2.tar.gz) = 701081
+MD5 (verlihub-0.9.8d-RC1.tar.gz) = 886d0b13a387bf57e226516e73c5fe7a
+SHA256 (verlihub-0.9.8d-RC1.tar.gz) = cf064c6ef1e9f2e8ca44f43af855a7baf1b914d4eb941806b19e4fff0bd1a6fc
+SIZE (verlihub-0.9.8d-RC1.tar.gz) = 856421
diff -ruN /usr/ports/net-p2p/verlihub/files/patch-thublink /home/skylordssh/ports/verlihub/files/patch-thublink
--- /usr/ports/net-p2p/verlihub/files/patch-thublink	Thu Jan  1 03:00:00 1970
+++ /home/skylordssh/ports/verlihub/files/patch-thublink	Wed May  2 14:03:58 2007
@@ -0,0 +1,339 @@
+Index: casyncconn.cpp
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/casyncconn.cpp,v
+retrieving revision 1.89
+diff -u -r1.89 casyncconn.cpp
+--- src/casyncconn.cpp	12 Sep 2005 21:28:50 -0000	1.89
++++ src/casyncconn.cpp	17 Jun 2006 21:27:43 -0000
+@@ -94,33 +94,13 @@
+ 	mType(ct)
+ {
+ 	mMaxBuffer=MAX_SEND_SIZE;
+-	struct sockaddr saddr;
+-	struct sockaddr_in *addr_in;
+-	socklen_t addr_size;
+-
+-	addr_size = sizeof(saddr);
+-	unsigned int addr;
+-
+ 	mIp=0;
+ 	ClearLine();
+ 	mBufEnd = mBufReadPos = 0;
+ 	mRegFlag = 0;
+ 	if(mSockDesc)
+ 	{
+-		if(0 > getpeername(mSockDesc, &saddr, &addr_size))
+-		{
+-			if(Log(2)) LogStream() << "Error getting peername, closing" << endl;
+-			CloseNow();
+-		}
+-		addr_in = (struct sockaddr_in *)&saddr;
+-		// copy IP
+-		addr = mIp = addr_in->sin_addr.s_addr;
+-		// asci ip addr
+-		mAddrIP = inet_ntoa(addr_in->sin_addr);
+-		// host name
+-		if( mxServer && mxServer->mUseDNS ) DNSLookup();
+-		// port number
+-		mAddrPort=addr_in->sin_port;
++		FetchSockAddr();
+ 	}
+ 	memset (&mCloseAfter,0, sizeof(mCloseAfter));
+ }
+@@ -168,6 +148,32 @@
+ 	this->Close();
+ }
+ 
++/** Fetch IP addr from socket */
++void cAsyncConn::FetchSockAddr()
++{
++	struct sockaddr saddr;
++	struct sockaddr_in *addr_in;
++	socklen_t addr_size;
++
++	addr_size = sizeof(saddr);
++	unsigned int addr;
++
++	if(0 > getpeername(mSockDesc, &saddr, &addr_size))
++	{
++		if(Log(2)) LogStream() << "Error getting peername, closing" << endl;
++		CloseNow();
++	}
++	addr_in = (struct sockaddr_in *)&saddr;
++	// copy IP
++	addr = mIp = addr_in->sin_addr.s_addr;
++	// asci ip addr
++	mAddrIP = inet_ntoa(addr_in->sin_addr);
++	// host name
++	if( mxServer && mxServer->mUseDNS ) DNSLookup();
++	// port number
++	mAddrPort=addr_in->sin_port;
++}
++
+ /** close connection to peer */
+ void cAsyncConn::Close()
+ {
+@@ -270,6 +276,7 @@
+ /** immediately close the connection */
+ void cAsyncConn::CloseNow()
+ {
++	OnCloseNow();
+ 	mWritable = false;
+ 	ok = false;
+ 	if(mxServer) mxServer->mConnChooser.cConnChoose::OptOut((cConnBase*)this, cConnChoose::eCC_ALL);
+@@ -483,6 +490,8 @@
+ 			return -1;
+ 		}
+ 		ok=true;
++		/* Fetch socket info */
++		FetchSockAddr();
+ 		return 0;
+ 	}
+ 	else
+@@ -849,6 +858,9 @@
+ /** function called before closing nicely */
+ int cAsyncConn::OnCloseNice(void) { return 0; }
+ 
++/** function called before closing now */
++int cAsyncConn::OnCloseNow(void) { return 0; }
++
+ cMessageParser *cAsyncConn::CreateParser()
+ {
+ 	if (this->mxProtocol != NULL)
+Index: casyncsocketserver.cpp
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/casyncsocketserver.cpp,v
+retrieving revision 1.70
+diff -u -r1.70 casyncsocketserver.cpp
+--- src/casyncsocketserver.cpp	27 Mar 2006 13:37:32 -0000	1.70
++++ src/casyncsocketserver.cpp	17 Jun 2006 21:27:43 -0000
+@@ -198,6 +198,7 @@
+ 		return;
+ 	}
+ 	tCLIt it = old_conn->mIterator;//find(mConnList.begin(), mConnList.end(), old_conn);
++
+ 	cAsyncConn *found=(*it);
+ 	if( (it ==  mConnList.end()) || (found != old_conn) )
+ 	{
+Index: cconndc.cpp
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/cconndc.cpp,v
+retrieving revision 1.63
+diff -u -r1.63 cconndc.cpp
+--- src/cconndc.cpp	4 Oct 2005 19:47:38 -0000	1.63
++++ src/cconndc.cpp	17 Jun 2006 21:27:43 -0000
+@@ -359,7 +359,13 @@
+ 		IPMax = cBanList::Ip2Num(mServer->mC.ip_zone6_max);
+ 		if( (IPMin <= IPConn) && (IPMax >= IPConn)) conn->mGeoZone = 6;
+ 	}
++
+ 	conn->mxProtocol = mProtocol;
++
++	conn->mDCIterator = 
++		mServer->mDCConnList.insert(mServer->mDCConnList.begin(),
++																conn);
++
+ 	return (cAsyncConn*) conn;
+ }
+ 
+@@ -386,6 +392,20 @@
+ 		mServer->mCallBacks.mOnCloseConn.CallAll(conn);
+ 		#endif
+ 	}
++
++	cConnDC::tCLIt it = conn->mDCIterator;
++	cAsyncConn *found=(*it);
++	if( (it ==  mServer->mDCConnList.end()) || (found != conn) )
++	{
++		cout << "not found " << conn << endl;
++		throw "Trying to delete non-existent connection";
++	}
++
++	//cout << "Deleting connection on socket: " << old_conn->mSockDesc << endl;
++	mServer->mDCConnList.erase(it);
++	cConnDC::tCLIt emptyit;
++	conn->mDCIterator = emptyit;
++	
+ 	cConnFactory::DeleteConn(Conn);
+ }
+ 
+Index: cserverdc.cpp
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/cserverdc.cpp,v
+retrieving revision 1.235
+diff -u -r1.235 cserverdc.cpp
+--- src/cserverdc.cpp	8 Nov 2005 07:51:23 -0000	1.235
++++ src/cserverdc.cpp	17 Jun 2006 21:27:44 -0000
+@@ -492,7 +492,7 @@
+ 	}
+ 
+ 	int count=0;
+-	for(i=mConnList.begin(); i!= mConnList.end(); i++)
++	for(i=mDCConnList.begin(); i!= mDCConnList.end(); i++)
+ 	{
+ 		conn=(cConnDC *)(*i);
+ 		if(conn && conn->ok && conn->mWritable && conn->mpUser && conn->mpUser->mInList)
+@@ -516,7 +516,7 @@
+ 	cConnDC *conn;
+ 	tCLIt i;
+ 	int counter = 0;
+-	for(i=mConnList.begin(); i!= mConnList.end(); i++)
++	for(i=mDCConnList.begin(); i!= mDCConnList.end(); i++)
+ 	{
+ 		conn=(cConnDC *)(*i);
+ 		if(
+@@ -541,7 +541,7 @@
+ 	static string str;
+ 	cConnDC *conn;
+ 	tCLIt i;
+-	for(i=mConnList.begin(); i!= mConnList.end(); i++)
++	for(i=mDCConnList.begin(); i!= mDCConnList.end(); i++)
+ 	{
+ 		conn=(cConnDC *)(*i);
+ 		if(
+@@ -563,6 +563,9 @@
+ /** return negative if conn should be removed */
+ int cServerDC::OnNewConn(cAsyncConn *nc)
+ {
++	if(string(nc->mClassName) != string("ConnDC"))
++		return 0;
++
+ 	cConnDC *conn = (cConnDC *)nc;
+ 	stringstream errmsg,os;
+ 	if(!conn) return -1;
+@@ -909,7 +912,7 @@
+ /** return true if accept is allowed - override */
+ bool cServerDC::AllowNewConn()
+ {
+-	return mConnList.size() <= (unsigned) mC.max_users_total + mC.max_extra_regs + mC.max_extra_vips + mC.max_extra_ops + mC.max_extra_cheefs + mC.max_extra_admins + 200;
++	return mDCConnList.size() <= (unsigned) mC.max_users_total + mC.max_extra_regs + mC.max_extra_vips + mC.max_extra_ops + mC.max_extra_cheefs + mC.max_extra_admins + 200;
+ }
+ 
+ int cServerDC::SaveFile(const string &file, const string &text)
+@@ -1268,6 +1271,7 @@
+ 		delete work;
+ 		return 0;
+ 	}
++	return true;
+ }
+ 
+ /** No descriptions */
+Index: casyncconn.h
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/casyncconn.h,v
+retrieving revision 1.50
+diff -u -r1.50 casyncconn.h
+--- src/casyncconn.h	4 Sep 2005 19:37:06 -0000	1.50
++++ src/casyncconn.h	17 Jun 2006 21:27:44 -0000
+@@ -92,6 +92,8 @@
+ 	cAsyncConn(int sd=0, cAsyncSocketServer *s=NULL, tConnType ct= eCT_CLIENT);
+ 	cAsyncConn(const string & host, int port, bool udp=false);
+ 	virtual ~cAsyncConn();
++	/** fetch IP addr from connection */
++	void FetchSockAddr();
+ 	/** close connection to peer */
+ 	void Close();
+ 	/** flush as much from output buffer as possible to the iochannel */
+@@ -115,6 +117,8 @@
+ 	/** time to close the connection */
+ 	cTime mCloseAfter;
+ 
++public:
++	/* Anyone know, why we should do this private ??? */
+ 	typedef list<cAsyncConn*> tConnList;
+ 	typedef tConnList::iterator tCLIt;
+ 	
+@@ -183,6 +187,8 @@
+ 	tSocket AcceptSock();
+ 	/** function called before closing nicely */
+ 	virtual int OnCloseNice(void);
++	/** function called before closing now */
++	virtual int OnCloseNow(void);
+ 	/** for udp */
+ 	struct sockaddr_in mAddrIN;
+ 	
+@@ -195,7 +201,7 @@
+ 	const string & AddrIP(){return mAddrIP;}
+ 	const string & AddrHost(){return mAddrHost;}
+ 	const int AddrPort(){return mAddrPort;}
+-	const unsigned long GetSockAddress() { return mAddrIN.sin_addr.s_addr; }
++	const unsigned long GetSockAddress() { return (mType == eCT_CLIENTUDP)?mAddrIN.sin_addr.s_addr:mIp; }
+ 	
+ 	/** reads all available data from the socket and stores it into a static member buffer */
+ 	int ReadAll();
+Index: casyncsocketserver.h
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/casyncsocketserver.h,v
+retrieving revision 1.27
+diff -u -r1.27 casyncsocketserver.h
+--- src/casyncsocketserver.h	21 Dec 2004 12:48:46 -0000	1.27
++++ src/casyncsocketserver.h	17 Jun 2006 21:27:44 -0000
+@@ -96,6 +96,12 @@
+ 	cTime mTime;
+ 	//
+ 	cMeanFrequency<unsigned ,21> mFrequency;
++
++	/* I don't know, why we should make this protected */
++	/** add given connection to server */
++	virtual void addConnection(cAsyncConn *);
++	/** remove given connection from server */
++	void delConnection(cAsyncConn * );
+ protected: // Protected attributes
+ 	/** indicates whether the loop should run or not */
+ 	bool mbRun;
+@@ -117,10 +123,6 @@
+ 	static bool WSinitialized;
+ 	cConnFactory *mFactory;
+ protected: // Protected methods
+-	/** add given connection to server */
+-	virtual void addConnection(cAsyncConn *);
+-	/** remove given connection from server */
+-	void delConnection(cAsyncConn * );
+ 	/** perform input operation, read all data from the connection, return number of bytes read, return negative number, if error occured */
+ 	virtual int input(cAsyncConn *conn);
+ 	/** perform output operation */
+Index: cconndc.h
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/cconndc.h,v
+retrieving revision 1.41
+diff -u -r1.41 cconndc.h
+--- src/cconndc.h	12 Sep 2005 21:28:50 -0000	1.41
++++ src/cconndc.h	17 Jun 2006 21:27:44 -0000
+@@ -130,6 +130,7 @@
+ class cConnDC : public cAsyncConn
+ {
+ 	friend class nProtocol::cDCProto;
++	friend class cDCConnFactory;
+ public:
+ 	cConnDC(int sd=0, cAsyncSocketServer *server=NULL);
+ 	virtual ~cConnDC();
+@@ -219,6 +220,10 @@
+ 	};
+ 	sTimes mT;
+ 	int mSRCounter;
++
++	// DC++ type connections iterator
++	tCLIt	mDCIterator;
++	
+ protected: // Protected methods
+ 	/** function called before closing nicely */
+ 	int OnCloseNice();
+Index: cserverdc.h
+===================================================================
+RCS file: /cvsroot/verlihub/verlihub/src/cserverdc.h,v
+retrieving revision 1.111
+diff -u -r1.111 cserverdc.h
+--- src/cserverdc.h	14 Sep 2005 20:20:28 -0000	1.111
++++ src/cserverdc.h	17 Jun 2006 21:27:44 -0000
+@@ -329,6 +329,11 @@
+ 	cTimeOut mHublistTimer;
+ 	cTimeOut mReloadcfgTimer;
+ 	cVHPluginMgr mPluginManager;
++
++protected:
++	// Protected attributes :D
++	tConnList	mDCConnList;
++
+ private:
+ 	struct sCallBacks
+ 	{
diff -ruN /usr/ports/net-p2p/verlihub/files/pkg-message.in /home/skylordssh/ports/verlihub/files/pkg-message.in
--- /usr/ports/net-p2p/verlihub/files/pkg-message.in	Mon Dec 11 00:18:10 2006
+++ /home/skylordssh/ports/verlihub/files/pkg-message.in	Wed May  2 15:47:43 2007
@@ -1,6 +1,6 @@
 --------------------------------------------------------------------
 
-Documentation has been installed in %%PREFIX%%/share/doc
+Documentation has been installed in %%DOCSDIR%%
 
 Scripts and the executable have been installed in %%PREFIX%%/bin
 
@@ -15,7 +15,7 @@
 Follow the instructions given.
 
 Visit http://www.verlihub-project.org/ for the project's homepage
-or http://www.verlihubforums.com/ for the project's forums. The verlihub
-manual is available online at http://www.danomac.org/verlihub
+and online manual or http://www.verlihubforums.com/ for 
+the project's forums.
 
 -------------------------------------------------------------------
diff -ruN /usr/ports/net-p2p/verlihub/pkg-plist /home/skylordssh/ports/verlihub/pkg-plist
--- /usr/ports/net-p2p/verlihub/pkg-plist	Sat Oct  8 19:41:31 2005
+++ /home/skylordssh/ports/verlihub/pkg-plist	Thu May  3 14:24:52 2007
@@ -11,8 +11,8 @@
 include/verlihub/cantiflood.h
 include/verlihub/casyncconn.h
 include/verlihub/casyncsocketserver.h
-include/verlihub/cbanlist.h
 include/verlihub/cban.h
+include/verlihub/cbanlist.h
 include/verlihub/ccallbacklist.h
 include/verlihub/cchatconsole.h
 include/verlihub/ccmdr.h
@@ -22,8 +22,8 @@
 include/verlihub/cconfigitembase.h
 include/verlihub/cconfmysql.h
 include/verlihub/cconnbase.h
-include/verlihub/cconndc.h
 include/verlihub/cconnchoose.h
+include/verlihub/cconndc.h
 include/verlihub/cconnpoll.h
 include/verlihub/cconnselect.h
 include/verlihub/cconntypes.h
@@ -38,8 +38,8 @@
 include/verlihub/cgeoip.h
 include/verlihub/cinfoserver.h
 include/verlihub/cinterpolexp.h
-include/verlihub/ckicklist.h
 include/verlihub/ckick.h
+include/verlihub/ckicklist.h
 include/verlihub/cmeanfrequency.h
 include/verlihub/cmessagedc.h
 include/verlihub/cmutex.h
@@ -61,15 +61,15 @@
 include/verlihub/ctempfunctionbase.h
 include/verlihub/cthread.h
 include/verlihub/cthreadwork.h
-include/verlihub/ctimeout.h
 include/verlihub/ctime.h
-include/verlihub/ctriggers.h
+include/verlihub/ctimeout.h
 include/verlihub/ctrigger.h
+include/verlihub/ctriggers.h
 include/verlihub/curr_date_time.h
-include/verlihub/cusercollection.h
 include/verlihub/cuser.h
-include/verlihub/cvhpluginmgr.h
+include/verlihub/cusercollection.h
 include/verlihub/cvhplugin.h
+include/verlihub/cvhpluginmgr.h
 include/verlihub/cworkerthread.h
 include/verlihub/dirsettings.h
 include/verlihub/dll.h
@@ -77,8 +77,8 @@
 include/verlihub/script_api.h
 include/verlihub/stringutils.h
 include/verlihub/tcache.h
-include/verlihub/thasharray.h
 include/verlihub/tchashlistmap.h
+include/verlihub/thasharray.h
 include/verlihub/tlistconsole.h
 include/verlihub/tlistplugin.h
 include/verlihub/tmysqlmemoryhash.h
@@ -101,21 +101,28 @@
 lib/libvhapi.la
 lib/libvhapi.so
 lib/libvhapi.so.0
-share/verlihub/config/faq
-share/verlihub/config/help_admin
-share/verlihub/config/help_cheef
-share/verlihub/config/help_master
-share/verlihub/config/help_op
-share/verlihub/config/help_reg
-share/verlihub/config/help_usr
-share/verlihub/config/help_vip
-share/verlihub/config/motd
-share/verlihub/config/rules
-share/verlihub/sql/default_pi_plug.sql
-share/verlihub/sql/default_conn_types.sql
-share/verlihub/sql/default_file_trigger.sql
-share/verlihub/sql/default_reglist.sql
+%%DOCSDIR%%/configuring.txt
+%%DOCSDIR%%/help.html
+%%DOCSDIR%%/using.txt
+%%DOCSDIR%%/verlihub.css
+%%DOCSDIR%%/verlihub.html
+%%DOCSDIR%%/verlihub_manual.html
+%%DATADIR%%/config/faq
+%%DATADIR%%/config/help_admin
+%%DATADIR%%/config/help_cheef
+%%DATADIR%%/config/help_master
+%%DATADIR%%/config/help_op
+%%DATADIR%%/config/help_reg
+%%DATADIR%%/config/help_usr
+%%DATADIR%%/config/help_vip
+%%DATADIR%%/config/motd
+%%DATADIR%%/config/rules
+%%DATADIR%%/sql/default_conn_types.sql
+%%DATADIR%%/sql/default_file_trigger.sql
+%%DATADIR%%/sql/default_pi_plug.sql
+%%DATADIR%%/sql/default_reglist.sql
+@dirrm %%DATADIR%%/sql
+@dirrm %%DATADIR%%/config
+@dirrm %%DATADIR%%
+@dirrm %%DOCSDIR%%
 @dirrm include/verlihub
-@dirrm share/verlihub/config
-@dirrm share/verlihub/sql
-@dirrm share/verlihub


Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-05-09 05:51:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-06-14 13:36:27 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool. 

Notes for other commiters.  All patches and new ports find your here. 
http://people.freebsd.org/~miwi/patches/verlihub-all_new_ports.tgz 

Thanks.
Comment 3 Rong-En Fan freebsd_committer 2007-06-21 08:28:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 4 dfilter freebsd_committer 2007-07-04 14:07:53 UTC
rafan       2007-07-04 13:07:49 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/verlihub     Makefile pkg-plist 
  Added files:
    net-p2p/verlihub/files patch-thublink 
  Log:
  - Revert previous WRKSRC changes. It was necessary because we have
    files/verlihub.in which becomes WRKDIR/verlihub at installation stage. [1]
  - Add patch for THubLink plugin support [2]
  - Pass maintainership to submitter [2]
  - While I'm here, sort pkg-plist
  
  PR:             ports/112393 [2]
  Pointed out by: danfe [1]
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru> [2]
  
  Revision  Changes    Path
  1.21      +5 -3      ports/net-p2p/verlihub/Makefile
  1.1       +339 -0    ports/net-p2p/verlihub/files/patch-thublink (new)
  1.7       +10 -10    ports/net-p2p/verlihub/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2007-07-05 08:01:17 UTC
rafan       2007-07-05 07:01:10 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-chatroom Makefile distinfo pkg-descr 
                                      pkg-message 
  Log:
  Chatroom plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.42      +1 -0      ports/net-p2p/Makefile
  1.1       +17 -0     ports/net-p2p/verlihub-plugins-chatroom/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-chatroom/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-chatroom/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-chatroom/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2007-07-05 08:04:46 UTC
rafan       2007-07-05 07:04:40 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-floodprotect Makefile distinfo 
                                          pkg-descr pkg-message 
  Log:
  Floodprotect plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.44      +1 -0      ports/net-p2p/Makefile
  1.1       +19 -0     ports/net-p2p/verlihub-plugins-floodprotect/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-floodprotect/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-floodprotect/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-floodprotect/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2007-07-05 08:05:08 UTC
rafan       2007-07-05 07:05:01 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-forbid Makefile distinfo pkg-descr 
                                    pkg-message 
  Log:
  ForbiddenWords plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.45      +1 -0      ports/net-p2p/Makefile
  1.1       +17 -0     ports/net-p2p/verlihub-plugins-forbid/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-forbid/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-forbid/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-forbid/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2007-07-05 08:06:08 UTC
rafan       2007-07-05 07:05:59 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-iplog Makefile distinfo pkg-descr 
                                   pkg-message 
  Log:
  IPLog plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.46      +1 -0      ports/net-p2p/Makefile
  1.1       +17 -0     ports/net-p2p/verlihub-plugins-iplog/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-iplog/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-iplog/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-iplog/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2007-07-05 08:06:26 UTC
rafan       2007-07-05 07:06:19 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-luascript Makefile distinfo pkg-descr 
                                       pkg-message 
  Log:
  LuaScript plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.47      +1 -0      ports/net-p2p/Makefile
  1.1       +32 -0     ports/net-p2p/verlihub-plugins-luascript/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-luascript/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-luascript/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-luascript/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2007-07-05 08:06:42 UTC
rafan       2007-07-05 07:06:38 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-messanger Makefile distinfo pkg-descr 
                                       pkg-message 
  Log:
  Messanger plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.48      +1 -0      ports/net-p2p/Makefile
  1.1       +17 -0     ports/net-p2p/verlihub-plugins-messanger/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-messanger/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-messanger/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-messanger/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2007-07-05 08:07:00 UTC
rafan       2007-07-05 07:06:56 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-stats Makefile distinfo pkg-descr 
                                   pkg-message 
  Log:
  Statistics plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.49      +1 -0      ports/net-p2p/Makefile
  1.1       +17 -0     ports/net-p2p/verlihub-plugins-stats/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-stats/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-stats/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-stats/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2007-07-05 08:07:32 UTC
rafan       2007-07-05 07:07:28 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins Makefile Makefile.plugins pkg-descr 
  Log:
  This is a "meta-port" to install the plugins for verlihub.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.50      +1 -0      ports/net-p2p/Makefile
  1.13      +32 -0     ports/net-p2p/verlihub-plugins/Makefile (new)
  1.1       +32 -0     ports/net-p2p/verlihub-plugins/Makefile.plugins (new)
  1.3       +3 -0      ports/net-p2p/verlihub-plugins/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter freebsd_committer 2007-07-05 08:08:34 UTC
rafan       2007-07-05 07:08:30 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/verlihub-plugins-isp Makefile distinfo pkg-descr 
                                 pkg-message 
  Log:
  ISP plugin for the VerliHub.
  
  Verlihub is a Linux/Unix Direct Connect protocol server (Hub).
  It is written in c++, has relatively low CPU and RAM usage,
  and has many useful features. It also uses a MySQL Database.
  Additional functionality is available through a versatile
  'plugin' system.
  
  WWW: http://www.verlihub-project.org/
  
  PR:             ports/112393
  Submitted by:   Mikle Davidkin <skylord at vt.net.ru>
  
  Revision  Changes    Path
  1.51      +1 -0      ports/net-p2p/Makefile
  1.1       +19 -0     ports/net-p2p/verlihub-plugins-isp/Makefile (new)
  1.1       +3 -0      ports/net-p2p/verlihub-plugins-isp/distinfo (new)
  1.1       +9 -0      ports/net-p2p/verlihub-plugins-isp/pkg-descr (new)
  1.1       +10 -0     ports/net-p2p/verlihub-plugins-isp/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Rong-En Fan freebsd_committer 2007-07-05 08:13:09 UTC
State Changed
From-To: open->closed

New port added. Thanks!